%define name sunflow
%define version 0.07.3
%define release %mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Sunflow - Global Illumination Rendering System
License:		GPL
Group:			Graphics
URL:			http://sunflow.sourceforge.net
Source0:		%{name}-src-v%{version}.tar.gz
Source90:		%{name}-rpmlintrc
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:		j2sdk-ant
BuildRequires:		dos2unix
BuildRequires:		java-1.6.0-sun-devel
BuildRequires:		update-alternatives
BuildRequires:		unzip
BuildRequires:		libxerces-c0-devel
Requires:		java-1.6.0-sun

%description
Sunflow is an open source rendering system for photo-realistic
image synthesis. It is written in Java and built around a flexible
ray tracing core and an extensible object-oriented design.

A blender exporter script is included.

%prep
%setup -q -n trunk
%__sed -i -e 's|Class-Path: janino.jar||g' \
	build.xml

dos2unix     exporters/blender/*.py
dos2unix     CHANGELOG LICENSE README
%__chmod 644 CHANGELOG LICENSE README

%build
ant jars javadoc

%install
# jar
%__install -dm 755 %{buildroot}%{_javadir}/%{name}
%__install -pm 644 release/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}/%{name}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd
%__install -pm 644 release/janino.jar \
	%{buildroot}%{_javadir}/%{name}

# startscript
%__cat > %{name}.sh <<EOF
#! /bin/bash

# source the jpackage helpers
VERBOSE=1
. %{_javadir}-utils/java-functions

# set JAVA_* environment variables
set_javacmd
check_java_env
set_jvm_dirs
set_options "-server -Xmx1024M -Xms256m"

CLASSPATH=\`build-classpath %{name}\`
MAIN_CLASS="SunflowGUI"

run "\$@"
EOF
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name}.sh \
	%{buildroot}%{_bindir}

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 resources/golden_0040.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Sunflow
Comment=Sunflow - A rendering system for photo-realistic image synthesis
GenericName=Sunflow
Type=Application
Terminal=false
Exec=%{name}.sh
Icon=%{name}
Categories=X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE README
%doc exporters/blender/*.py
%{_bindir}/%{name}.sh
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop

%changelog
* Sat Jun 14 2009 MBantz <martin dot bantz at gmail dot com> 0.07.3-0.pm.1
- Built for PCLinux from Toni Graffy toni at links2linux.de
